> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Secrets

> List all secrets for the authenticated user's space.

This endpoint:
- Requires API key authentication
- Returns metadata only (id, name, type) - never returns decrypted values
- Results are ordered by creation date (newest first)

Args:
    service: Injected secrets service

Returns:
    Response with list of secret metadata

Raises:
    400 Bad Request: If user doesn't have an associated space



## OpenAPI

````yaml /openapi.json get /v1/secrets
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/secrets:
    get:
      tags:
        - Secrets
      summary: List Secrets
      description: >-
        List all secrets for the authenticated user's space.


        This endpoint:

        - Requires API key authentication

        - Returns metadata only (id, name, type) - never returns decrypted
        values

        - Results are ordered by creation date (newest first)


        Args:
            service: Injected secrets service

        Returns:
            Response with list of secret metadata

        Raises:
            400 Bad Request: If user doesn't have an associated space
      operationId: list_secrets_v1_secrets_get
      parameters:
        - name: la_session
          in: cookie
          required: false
          schema:
            title: La Session
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_list_SecretListItemSchema__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Response_list_SecretListItemSchema__:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          title: Data
          items:
            $ref: '#/components/schemas/SecretListItemSchema'
          type: array
        message:
          title: Message
          type: string
      type: object
      title: Response[list[SecretListItemSchema]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SecretListItemSchema:
      properties:
        id:
          type: string
          title: Id
        secret_name:
          type: string
          title: Secret Name
        secret_type:
          $ref: '#/components/schemas/SecretTypeEnum'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - secret_name
        - secret_type
      title: SecretListItemSchema
      description: Schema for a secret item in list response (no decrypted value)
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SecretTypeEnum:
      type: string
      enum:
        - OPENAI_API_KEY
        - ELEVENLABS_API_KEY
        - GEMINI_API_KEY
      title: SecretTypeEnum
      description: The type of secret.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````